안녕하세요.
Normal Z 값을 -1에서 1로 바꾸는 리습 질문 드립니다.
UG에서 dwg로 변환한 파일을 오토캐드에서 열면 문제가 발생합니다.
일부 홀의 속성을 확인하면 Geometry의 Normal Z값이 -1이 됩니다.
Normal Z 값이 1이 되어야 리습이 제대로 작동합니다.

13년도 글에 Kor_Storm 님이 답변달아주신 리습으로 해결했습니다.
그런데 영역 지정을 해야 하더라구요.
자동으로 전체 영역에 적용되도록 하려면 어떻게 해야 하는지 도움 좀 부탁드립니다.
리습 언어(?)를 몰라서요.

;자동차 판넬 지그 작업하시나 보네요 ^^
(defun c:test( / ss ent f10 f210)
 (if (setq ss (ssget '((0 . "CIRCLE"))))
  (foreach en (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
   (setq
    ent (entget en) f10 (assoc 10 ent) f210 (assoc 210 ent)
    ent (subst (cons 210 '(0. 0. 1.)) f210 ent)
    ent (subst (cons 10 (trans (cdr f10) (cdr f210) 0)) f10 ent)
   )
   (entmod ent)
  )
 )
 (princ)
)